// Generated by gir (https://github.com/gtk-rs/gir @ e06125dad46a)
// from 
// from gir-files (https://github.com/gtk-rs/gir-files.git @ 01066bc7d926)
// DO NOT EDIT

#include "manual.h"
#include <stdio.h>

#define PRINT_CONSTANT(CONSTANT_NAME) \
    printf("%s;", #CONSTANT_NAME); \
    printf(_Generic((CONSTANT_NAME), \
                    char *: "%s", \
                    const char *: "%s", \
                    char: "%c", \
                    signed char: "%hhd", \
                    unsigned char: "%hhu", \
                    short int: "%hd", \
                    unsigned short int: "%hu", \
                    int: "%d", \
                    unsigned int: "%u", \
                    long: "%ld", \
                    unsigned long: "%lu", \
                    long long: "%lld", \
                    unsigned long long: "%llu", \
                    float: "%f", \
                    double: "%f", \
                    long double: "%ld"), \
           CONSTANT_NAME); \
    printf("\n");

int main() {
    PRINT_CONSTANT((guint) SECRET_COLLECTION_CREATE_NONE);
    PRINT_CONSTANT(SECRET_COLLECTION_DEFAULT);
    PRINT_CONSTANT((guint) SECRET_COLLECTION_LOAD_ITEMS);
    PRINT_CONSTANT((guint) SECRET_COLLECTION_NONE);
    PRINT_CONSTANT(SECRET_COLLECTION_SESSION);
    PRINT_CONSTANT((gint) SECRET_ERROR_ALREADY_EXISTS);
    PRINT_CONSTANT((gint) SECRET_ERROR_EMPTY_TABLE);
    PRINT_CONSTANT((gint) SECRET_ERROR_INVALID_FILE_FORMAT);
    PRINT_CONSTANT((gint) SECRET_ERROR_IS_LOCKED);
    PRINT_CONSTANT((gint) SECRET_ERROR_MISMATCHED_SCHEMA);
    PRINT_CONSTANT((gint) SECRET_ERROR_NO_MATCHING_ATTRIBUTE);
    PRINT_CONSTANT((gint) SECRET_ERROR_NO_SUCH_OBJECT);
    PRINT_CONSTANT((gint) SECRET_ERROR_PROTOCOL);
    PRINT_CONSTANT((gint) SECRET_ERROR_WRONG_TYPE);
    PRINT_CONSTANT((guint) SECRET_ITEM_CREATE_NONE);
    PRINT_CONSTANT((guint) SECRET_ITEM_CREATE_REPLACE);
    PRINT_CONSTANT((guint) SECRET_ITEM_LOAD_SECRET);
    PRINT_CONSTANT((guint) SECRET_ITEM_NONE);
    PRINT_CONSTANT((gint) SECRET_SCHEMA_ATTRIBUTE_BOOLEAN);
    PRINT_CONSTANT((gint) SECRET_SCHEMA_ATTRIBUTE_INTEGER);
    PRINT_CONSTANT((gint) SECRET_SCHEMA_ATTRIBUTE_STRING);
    PRINT_CONSTANT((guint) SECRET_SCHEMA_DONT_MATCH_NAME);
    PRINT_CONSTANT((guint) SECRET_SCHEMA_NONE);
    PRINT_CONSTANT((gint) SECRET_SCHEMA_TYPE_COMPAT_NETWORK);
    PRINT_CONSTANT((gint) SECRET_SCHEMA_TYPE_NOTE);
    PRINT_CONSTANT((guint) SECRET_SEARCH_ALL);
    PRINT_CONSTANT((guint) SECRET_SEARCH_LOAD_SECRETS);
    PRINT_CONSTANT((guint) SECRET_SEARCH_NONE);
    PRINT_CONSTANT((guint) SECRET_SEARCH_UNLOCK);
    PRINT_CONSTANT((guint) SECRET_SERVICE_LOAD_COLLECTIONS);
    PRINT_CONSTANT((guint) SECRET_SERVICE_NONE);
    PRINT_CONSTANT((guint) SECRET_SERVICE_OPEN_SESSION);
    return 0;
}
